<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!--TITLE-->
    <title>VP Money Transfer</title>

    <!-- Favicon icon -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png"/>

    <!-- Stylesheet -->
    <link rel="stylesheet" type="text/css" th:href="@{/css/bootstrap.min.css}" href="../static/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/adminStyle.css}" href="../static/css/adminStyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/adminCsstyle.css}" href="../static/css/adminCsstyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/style.css}" href="../static/css/style.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/all.min.css}" href="../static/css/all.min.css">

</head>
<body>
<!-- Preloader -->
<div id="preloader">
    <div id="status"></div>
</div>

<!-- Document Wrapper  -->
<div id="main-wrapper">
    <!-- Header start -->
    <header class="header">
        <div class="container d-flex align-items-center">
            <a class="logo" href="/">
                <img src="images/VP.png" alt="">
            </a>
            <nav class="primary-menu text-md-right">
                <a id="mobile-menu-toggler" href="#"><i class="fas fa-bars"></i></a>
                <ul>
                    <li><a href="/">Home</a></li>
                    <li><a href="/send-money-process">Send Money</a></li>
                    <li><a href="/about">About</a></li>
                    <li><a href="/contact">Contact</a></li>
                    <li class="has-menu-child pro-menu-drop">
                        <a href="#">
                            <div class="header-pro-thumb">
                                <img class="rounded-circle" th:unless="${user.picture==null}"
                                     th:src="@{'data:image/jpeg;base64,' + ${user.picture}}" alt="">
                                <img class="rounded-circle" th:if="${user.picture==null}"
                                     src="images/profile-img.jpeg" alt="">
                            </div>
                            <div th:text="${user.username}"></div>
                            <i class="fas fa-chevron-down"></i>
                        </a>
                        <ul class="dropdown-menu-md sub-menu profile-drop">

                            <li class="nav__create-new-profile-link">
                                <a href="/profile">
                                    <span>View personal profile</span>
                                </a>
                            </li>
                            <li class="divider"></li>
                            <li class="nav__dropdown-menu-items">
                                <a href="/logout"><i class="icon icon-logout"></i><span>Logout</span></a></li>
                        </ul>
                    </li>
                </ul>
            </nav>
        </div>
    </header>
    <!-- Header end -->

    <!-- Admin Hero section-->
    <div class="hero-section">
    </div>
    <!-- Admin End of Hero section-->

    <!-- Content  -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">

                <!-- Left sidebar -->
                <aside class="col-lg-3 sidebar">
                    <div class="widget admin-widget p-0">
                        <div class="Profile-menu">
                            <ul class="nav secondary-nav">
                                <li class="nav-item active"><a class="nav-link " href="/dashboard"><i
                                        class="fas fa-tachometer-alt"></i> Dashboard</a></li>
                                <li class="nav-item"><a class="nav-link" href="/profile"><i
                                        class="fab fa-autoprefixer"></i> My Profile</a></li>
                                <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link" href="/users"><i
                                        class="fab fa-autoprefixer"></i> All users</a></li>
                                <li class="nav-item"><a class="nav-link" href="/wallets-and-cards"><i
                                        class="fas fa-university"></i> Wallets & Cards</a></li>
                                <li class="nav-item"><a class="nav-link" href="/deposit-money"><i
                                        class="fas fa-plus"></i> Deposit Money to wallet</a></li>
                                <li class="nav-item"><a class="nav-link" href="/send-money-process"><i
                                        class="far fa-paper-plane"></i> Send Money to friend</a></li>
                                <li class="nav-item"><a class="nav-link" href="/transactions"><i
                                        class="fas fa-list-ul"></i> My Transactions</a></li>
                                <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link"
                                                                                         href="/all-transactions"><i
                                        class="fas fa-list-ul"></i> All Transactions</a></li>
                            </ul>
                        </div>
                    </div>

                </aside>
                <!-- Left Panel End -->

                <!-- Container Panel  -->
                <div class="col-lg-9">
                    <h2 class="admin-heading bg-offwhite" style="color: #595959">My Categories</h2>
                    <div class="infoItems bg-offwhite">
                        <div class="row">
                            <div class="col-3" th:each="category : ${categories}"
                                 th:if="${!categories.isEmpty()}">

                                <div class="account-card account-card-primary">
                                    <p th:if="${category.name.equals('General')}" class="pirotry text-right">Primary</p>
                                    <div class="text-center">
                                        <p class="card-number col-12" th:text="${category.name}"> Name</p>
                                    </div>
                                    <div th:unless="${category.name.equals('General')}" class="account-card-overlay">
                                        <a class="text-light btn-link pbtn" data-toggle="modal"
                                           th:href="@{'/transactions/updateCategory/' + ${category.id}}" th:method="get"
                                           th:data-target="'#editCategory' + ${category.id}">
                                        <span class="mr-1"><i
                                                class="fas fa-edit"></i></span>Edit</a>

                                        <a class="text-light btn-link pbtn"
                                           href="#" data-toggle="modal" th:data-target="'#categoryId' + ${category.id}">
                                        <span class="mr-1">
                                        <i class="fas fa-minus-circle">
                                        </i>
                                        </span>
                                            Delete
                                        </a>
                                    </div>
                                </div>
                                <br>
                            </div>

                            <div class="col-3">
                                <div class="account-card account-card-primary" style="padding: 0 15px">
                                    <a href="#" data-target="#add-new-category"
                                       class="account-card-new d-flex align-items-center  btn-link pbtn"
                                       data-id="add-new-category" data-toggle="modal">
                                        <p class="text-center">
                                            <span class="text-3">Add <i class="fas fa-plus-circle"></i></span>
                                        </p>
                                    </a>
                                </div>
                                <br>
                            </div>
                        </div>
                    </div>

                    <!-- Add New Category info  -->
                    <div id="add-new-category" class="accord bg-offwhite mt-3 p-3" data-backdrop="false">
                        <div class="content-edit-area">
                            <div class="edit-header">
                                <h5 class="title">Choose Category Name</h5>
                                <button type="button" class="close"><span aria-hidden="true">&times;</span></button>
                            </div>
                            <div class="edit-content">
                                <form id="add-category" th:action="@{/transactions/addCategory}" th:object="${newCategory}"
                                      method="post">

                                    <div class="form-group">
                                        <label for="CategoryName"></label>
                                        <input type="text" class="form-control" data-bv-field="categoryName"
                                               th:field="${newCategory.name}"
                                               id="CategoryName" required placeholder="My Category"
                                               pattern="[a-zA-Z\s]{3,20}" title="Letters and spaces allowed only.">
                                    </div>
                                    <div class="form-group" hidden="hidden">
                                        <label for="ownerName">First and Last Name</label>
                                        <input type="text" class="form-control" data-bv-field="ownerName"
                                               th:field="${user.username}"
                                               id="ownerName" required value="" placeholder="Full Name">
                                    </div>

                                    <button type="submit" class="btn btn-default btn-center btn-block">
                                        <span class="bh"></span>
                                        <span>Add Category</span>
                                    </button>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- Add New Category info End -->

                    <!-- Edit Category info  -->
                    <div th:each="category : ${categories}" th:id="editCategory + ${category.id}" class="accord bg-offwhite mt-3 p-3"
                         data-backdrop="false">
                        <div class="content-edit-area">
                            <div class="edit-header">
                                <h5 class="title">Change Category Name</h5>
                                <button type="button" class="close"><span aria-hidden="true">&times;</span></button>
                            </div>
                            <div class="edit-content">
                                <form id="update-category" th:action="@{/transactions/updateCategory/{id}(id=${category.id})}"
                                      th:object="${updatedCategory}" method="post">

                                    <div class="row">
                                        <label for="edit-category-name"></label>
                                        <input type="text"
                                               id="edit-category-name" th:field="${updatedCategory.name}"
                                               th:placeholder="${category.name}"
                                               pattern="[a-zA-Z\s]{5,20}" title="Letters and spaces allowed only.">
                                    </div>
                                    <br>
                                    <button class="btn btn-default d-block" type="submit">
                                        <span>Update</span>
                                    </button>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- Edit Category info End -->

                    <!-- Delete Category-->
                    <div th:each="category : ${categories}" th:id="categoryId + ${category.id}" class="modal fade"
                         data-backdrop="static" tabindex="-1" role="dialog"
                         aria-labelledby="staticBackdropLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="staticBackdropLabel">Delete confirmation</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <p class="alert alert-danger">
                                        Are you sure you want to delete it?
                                    </p>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                    </button>
                                    <a th:href="@{'/transactions/deleteCategory/' + ${category.id}}" style="color: white"
                                       class="btn btn-danger" id="delRef">Delete</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Delete Category End -->

                    <!--Categories end-->

                    <h2 class="admin-heading bg-offwhite" style="color: #595959">Transaction History</h2>
                    <!-- search bar start -->
                    <div style="text-align: center">
                        <form th:action="@{/transactions}">
                            <div class="form-group">
                                <label for="recipientUsername" style="color: #595959; letter-spacing: 0.7px"><b>Recipient Username</b></label>
                                <div class="input-group">
                                    <input type="text" class="form-control" data-card-form="editCardNumber"
                                           id="recipientUsername" name="toUsername"
                                           placeholder="Recipient" style="text-align: center"
                                           pattern="[^()/><\][\\\x22,;|]+"
                                           title="no special symbols permitted">
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label style="color: #595959; letter-spacing: 0.7px"><b>Start Date</b></label>
                                        <input type="date" class="form-control" name="startDate"
                                               placeholder="Start Date" style="text-align: center">
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label style="color: #595959; letter-spacing: 0.7px"><b>End Date</b></label>
                                        <input type="date" class="form-control" name="endDate"
                                               placeholder="End Date" style="text-align: center">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-6">
                                    <div class="form-group">
                                        <label for="your-card-provider" style="color: #595959; letter-spacing: 0.7px"><b>Sort By</b></label>
                                        <select name = "sortBy" id="your-card-provider"
                                                class="custom-select" required="" style="text-align: center">
                                            <option>DateDesc</option>
                                            <option>DateAsc</option>
                                            <option>AmountDesc</option>
                                            <option>AmountAsc</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group">
                                        <label for="you-card-type" style="color: #595959; letter-spacing: 0.7px"><b>Category</b></label>
                                        <select name = "categoryId" id="you-card-type"
                                                class="custom-select" required="" style="text-align: center">
                                            <option value="0" selected>Show All</option>
                                            <option value="1">Top-Ups</option>
                                            <option th:each="category : ${categories}"
                                                    th:value="${category.id}"
                                                    th:text="${category.getName()}">
                                            </option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <br>
                            <button type="submit" class="btn btn-default mr-0">
                                <span class="bh"></span>
                                <i class="fa fa-search"></i>
                            </button>
                        </form>
                    </div>
                    <br>
                    <!-- search bar end -->

                    <!-- All Transactions  -->
                    <div class="profile-content">
                        <!-- Admin Heading Title  -->
                        <div class="transaction-title bg-offwhite">
                            <div class="items">
                                <div class="row">
                                    <div class="col text-center" style="color: #595959">Date</div>
                                    <div class="col text-center" style="color: #595959">From</div>
                                    <div class="col text-center" style="color: #595959">To</div>
                                    <div class="col text-center" style="color: #595959">Type</div>
                                    <div class="col text-center" style="color: #595959">Amount</div>
                                    <div class="col text-center" style="color: #595959">Details</div>
                                </div>
                            </div>
                        </div>
                        <!-- Admin Heading Title End -->

                        <!-- Transaction List -->
                        <div class="transaction-area">
                            <div class="items" th:each="transaction : ${transactionList}" th:if="${!transactionList.isEmpty()}">
                                <div class="row">
                                    <div class="col text-center">
                                    <span class="name"
                                          th:text="${#dates.format(transaction.date, 'dd-MM-yyyy')}">
                                    </span>
                                    </div>
                                    <div class="col text-center">
                                        <span class="name" th:text="${transaction.from}"></span>
                                    </div>
                                    <div class="col text-center">
                                        <span class="name" th:text="${transaction.to}"></span>
                                    </div>
                                    <div class="col text-center">
                                        <span class="name" th:text="${transaction.type}"></span>
                                    </div>
                                    <div class="col text-center">
                                        <span class="payment-amaount" th:text="${transaction.amount}"></span>
                                        <span class="currency">BGN</span>
                                    </div>
                                    <div class="col text-center">
                                    <span class="payments-status text-warning" data-toggle="modal"
                                          data-target="#transaction-detail"><i class="fas fa-ellipsis-h"
                                                                               data-toggle="tooltip"
                                                                               data-original-title="Completed"></i></span>
                                    </div>
                                </div>
                                <!-- Transaction Details Modal  -->
                                <div id="transaction-detail" class="modal fade" role="dialog" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered details-area" role="document">
                                        <div class="modal-content">
                                            <div class="modal-body">
                                                <div class="modal_header">
                                                    <span class="status bg-success">Done</span>
                                                    <div class="row">
                                                        <h5 class="transcation-heading" style="margin-left: auto; margin-right: auto">Transaction Details</h5>
                                                    </div>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">×</span></button>
                                                </div>
                                                <div class="modal-content-area">
                                                    <div class="transaction-area">
                                                        <div class="items">
                                                            <div class="row">
                                                    <span style="color: black; margin-left: auto; margin-right: auto"
                                                          th:text="'Category: ' + ${transaction.categoryName}">
                                                    </span>
                                                            </div>
                                                        </div>
                                                        <div class="items">
                                                            <div class="row">
                                                     <span style="color: black; margin-left: auto; margin-right: auto"
                                                           th:text="'Description: ' + ${transaction.description}">
                                                    </span>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- Transaction Modal End -->
                            </div>
                        </div>
                        <!-- Transaction List End -->

                        <!-- Pagination -->
                        <ul class="nav nav-pills" th:if="${transactionList.totalPages > 0}">
                            <li class="nav-item"
                                th:each="pageNumber : ${pageNumbers}">
                                <a th:href="@{/transactions(page=${pageNumber}, toUsername=${toUsername}, sortBy=${sortBy},
                                startDate=${startDate}, endDate=${endDate}, categoryId=${categoryId})}"
                                   th:text="${pageNumber}" class="nav-link"
                                   th:classappend="${pageNumber==transactionList.number + 1} ? active"></a>
                            </li>
                        </ul>
                        <!-- Pagination end -->

                    </div>
                    <!-- All Transactions End -->
                </div>
                <!-- Middle End -->
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer start -->
    <footer class="footer">
        <div class="foo-btm">
            <div class="container">
                <div class="row">
                    <div class="col-md-6">
                        <div class="foo-navigation">
                            <ul>
                                <li><a href="#">Terms and Conditions</a></li>
                                <li><a href="#">Privacy & Policy</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="copyright">Copyright &copy; <a></a>2020</div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Script -->
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
<script src="js/moment.min.js"></script>
<script src="js/daterangepicker.js"></script>
<script src="js/bootstrap-select.min.js"></script>

<!--Navigation bar primary-menu-->
<script src="js/custom.js"></script>
<script src="js/scripts.js"></script>

<script src="js/jquery-3.3.1.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/owl.carousel.min.js"></script>
<script src="js/owl.carousel2.thumbs.min.js"></script>
<script src="js/jquery.countdown.min.js"></script>
<script src="js/jquery.fancybox.min.js"></script>
<script src="js/jquery.nice-select.min.js"></script>
<script src="../../cdnjs.cloudflare.com/ajax/libs/gsap/2.1.3/TweenMax.min.js"></script>
<script src="../../s3-us-west-2.amazonaws.com/s.cdpn.io/106949/jquery.onscreen.js"></script>

</body>

</html>